CREATE TABLE cmp_cwb_approval_history (
    APPROVAL_HISTORY_ID      NUMBER(18, 0),
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    MGR_PERSON_EVENT_ID      NUMBER(18, 0),
    EMP_PERSON_EVENT_ID      NUMBER(18, 0)    NOT NULL,
    MGR_ASSIGNMENT_ID        NUMBER(18, 0),
    ACTION_CODE              VARCHAR2(120)    NOT NULL,
    ACTION_DATE              TIMESTAMP(6)     NOT NULL,
    COMMENTS                 CLOB         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    POOL_ID                  NUMBER(18, 0),
    APPROVAL_HISTORY_ID      NUMBER(18, 0),
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    MGR_PERSON_EVENT_ID      NUMBER(18, 0),
    EMP_PERSON_EVENT_ID      NUMBER(18, 0)    NOT NULL,
    MGR_ASSIGNMENT_ID        NUMBER(18, 0),
    ACTION_CODE              VARCHAR2(120)    NOT NULL,
    ACTION_DATE              TIMESTAMP(6)     NOT NULL,
    COMMENTS                 CLOB         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    POOL_ID                  NUMBER(18, 0),
    CONSTRAINT pk_cmp_cwb_approval_history PRIMARY KEY (APPROVAL_HISTORY_ID, APPROVAL_HISTORY_ID)
);
